diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ripng.h ns-3.44/src/internet/model/ripng.h
--- ns-3.43/src/internet/model/ripng.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ripng.h	2025-03-09 16:55:49.403371000 -0700
@@ -24,8 +24,8 @@
 {
 
 /**
- * \ingroup ipv6Routing
- * \defgroup ripng RIPng
+ * @ingroup ipv6Routing
+ * @defgroup ripng RIPng
  *
  * The RIPng protocol (\RFC{2080}) is a unicast-only IPv6 IGP (Interior Gateway Protocol).
  * Its convergence time is rather long. As a consequence, it is suggested to
@@ -47,8 +47,8 @@
  */
 
 /**
- * \ingroup ripng
- * \brief RipNg Routing Table Entry
+ * @ingroup ripng
+ * @brief RipNg Routing Table Entry
  */
 class RipNgRoutingTableEntry : public Ipv6RoutingTableEntry
 {
@@ -65,12 +65,12 @@
     RipNgRoutingTableEntry();
 
     /**
-     * \brief Constructor
-     * \param network network address
-     * \param networkPrefix network prefix
-     * \param nextHop next hop address to route the packet
-     * \param interface interface index
-     * \param prefixToUse prefix that should be used for source address for this destination
+     * @brief Constructor
+     * @param network network address
+     * @param networkPrefix network prefix
+     * @param nextHop next hop address to route the packet
+     * @param interface interface index
+     * @param prefixToUse prefix that should be used for source address for this destination
      */
     RipNgRoutingTableEntry(Ipv6Address network,
                            Ipv6Prefix networkPrefix,
@@ -79,66 +79,66 @@
                            Ipv6Address prefixToUse);
 
     /**
-     * \brief Constructor
-     * \param network network address
-     * \param networkPrefix network prefix
-     * \param interface interface index
+     * @brief Constructor
+     * @param network network address
+     * @param networkPrefix network prefix
+     * @param interface interface index
      */
     RipNgRoutingTableEntry(Ipv6Address network, Ipv6Prefix networkPrefix, uint32_t interface);
 
     ~RipNgRoutingTableEntry() override;
 
     /**
-     * \brief Set the route tag
-     * \param routeTag the route tag
+     * @brief Set the route tag
+     * @param routeTag the route tag
      */
     void SetRouteTag(uint16_t routeTag);
 
     /**
-     * \brief Get the route tag
-     * \returns the route tag
+     * @brief Get the route tag
+     * @returns the route tag
      */
     uint16_t GetRouteTag() const;
 
     /**
-     * \brief Set the route metric
-     * \param routeMetric the route metric
+     * @brief Set the route metric
+     * @param routeMetric the route metric
      */
     void SetRouteMetric(uint8_t routeMetric);
 
     /**
-     * \brief Get the route metric
-     * \returns the route metric
+     * @brief Get the route metric
+     * @returns the route metric
      */
     uint8_t GetRouteMetric() const;
 
     /**
-     * \brief Set the route status
-     * \param status the route status
+     * @brief Set the route status
+     * @param status the route status
      */
     void SetRouteStatus(Status_e status);
 
     /**
-     * \brief Get the route status
-     * \returns the route status
+     * @brief Get the route status
+     * @returns the route status
      */
     Status_e GetRouteStatus() const;
 
     /**
-     * \brief Set the route as changed
+     * @brief Set the route as changed
      *
      * The changed routes are scheduled for a Triggered Update.
      * After a Triggered Update, all the changed flags are cleared
      * from the routing table.
      *
-     * \param changed true if route is changed
+     * @param changed true if route is changed
      */
     void SetRouteChanged(bool changed);
 
     /**
-     * \brief Get the route changed status
+     * @brief Get the route changed status
      *
-     * \returns true if route is changed
+     * @returns true if route is changed
      */
     bool IsRouteChanged() const;
 
@@ -150,18 +150,18 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param route the Ipv6 routing table entry
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param route the Ipv6 routing table entry
+ * @returns the reference to the output stream
  */
 std::ostream& operator<<(std::ostream& os, const RipNgRoutingTableEntry& route);
 
 /**
- * \ingroup ripng
+ * @ingroup ripng
  *
- * \brief RIPng Routing Protocol, defined in \RFC{2080}.
+ * @brief RIPng Routing Protocol, defined in \RFC{2080}.
  */
 class RipNg : public Ipv6RoutingProtocol
 {
@@ -171,8 +171,8 @@
     ~RipNg() override;
 
     /**
-     * \brief Get the type ID
-     * \return type ID
+     * @brief Get the type ID
+     * @return type ID
      */
     static TypeId GetTypeId();
 
@@ -221,51 +221,51 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
     /**
-     * \brief Get the set of interface excluded from the protocol
-     * \return the set of excluded interfaces
+     * @brief Get the set of interface excluded from the protocol
+     * @return the set of excluded interfaces
      */
     std::set<uint32_t> GetInterfaceExclusions() const;
 
     /**
-     * \brief Set the set of interface excluded from the protocol
-     * \param exceptions the set of excluded interfaces
+     * @brief Set the set of interface excluded from the protocol
+     * @param exceptions the set of excluded interfaces
      */
     void SetInterfaceExclusions(std::set<uint32_t> exceptions);
 
     /**
-     * \brief Get the metric for an interface
-     * \param interface the interface
-     * \returns the interface metric
+     * @brief Get the metric for an interface
+     * @param interface the interface
+     * @returns the interface metric
      */
     uint8_t GetInterfaceMetric(uint32_t interface) const;
 
     /**
-     * \brief Set the metric for an interface
-     * \param interface the interface
-     * \param metric the interface metric
+     * @brief Set the metric for an interface
+     * @param interface the interface
+     * @param metric the interface metric
      */
     void SetInterfaceMetric(uint32_t interface, uint8_t metric);
 
     /**
-     * \brief Add a default route to the router through the nextHop located on interface.
+     * @brief Add a default route to the router through the nextHop located on interface.
      *
      * The default route is usually installed manually, or it is the result of
      * some "other" routing protocol (e.g., BGP).
      *
-     * \param nextHop the next hop
-     * \param interface the interface
+     * @param nextHop the next hop
+     * @param interface the interface
      */
     void AddDefaultRouteTo(Ipv6Address nextHop, uint32_t interface);
 
   protected:
     /**
-     * \brief Dispose this object.
+     * @brief Dispose this object.
      */
     void DoDispose() override;
 
@@ -285,20 +285,20 @@
     typedef std::list<std::pair<RipNgRoutingTableEntry*, EventId>>::iterator RoutesI;
 
     /**
-     * \brief Receive RIPng packets.
+     * @brief Receive RIPng packets.
      *
-     * \param socket the socket the packet was received to.
+     * @param socket the socket the packet was received to.
      */
     void Receive(Ptr<Socket> socket);
 
     /**
-     * \brief Handle RIPng requests.
+     * @brief Handle RIPng requests.
      *
-     * \param hdr message header (including RTEs)
-     * \param senderAddress sender address
-     * \param senderPort sender port
-     * \param incomingInterface incoming interface
-     * \param hopLimit packet's hop limit
+     * @param hdr message header (including RTEs)
+     * @param senderAddress sender address
+     * @param senderPort sender port
+     * @param incomingInterface incoming interface
+     * @param hopLimit packet's hop limit
      */
     void HandleRequests(RipNgHeader hdr,
                         Ipv6Address senderAddress,
@@ -307,12 +307,12 @@
                         uint8_t hopLimit);
 
     /**
-     * \brief Handle RIPng responses.
+     * @brief Handle RIPng responses.
      *
-     * \param hdr message header (including RTEs)
-     * \param senderAddress sender address
-     * \param incomingInterface incoming interface
-     * \param hopLimit packet's hop limit
+     * @param hdr message header (including RTEs)
+     * @param senderAddress sender address
+     * @param incomingInterface incoming interface
+     * @param hopLimit packet's hop limit
      */
     void HandleResponses(RipNgHeader hdr,
                          Ipv6Address senderAddress,
@@ -320,32 +320,32 @@
                          uint8_t hopLimit);
 
     /**
-     * \brief Lookup in the forwarding table for destination.
-     * \param dest destination address
-     * \param setSource set source address in the route
-     * \param interface output interface if any (put 0 otherwise)
-     * \return Ipv6Route to route the packet to reach dest address
+     * @brief Lookup in the forwarding table for destination.
+     * @param dest destination address
+     * @param setSource set source address in the route
+     * @param interface output interface if any (put 0 otherwise)
+     * @return Ipv6Route to route the packet to reach dest address
      */
     Ptr<Ipv6Route> Lookup(Ipv6Address dest, bool setSource, Ptr<NetDevice> = nullptr);
 
     /**
      * Receive and process unicast packet
-     * \param socket socket where packet is arrived
+     * @param socket socket where packet is arrived
      */
     void RecvUnicastRipng(Ptr<Socket> socket);
     /**
      * Receive and process multicast packet
-     * \param socket socket where packet is arrived
+     * @param socket socket where packet is arrived
      */
     void RecvMulticastRipng(Ptr<Socket> socket);
 
     /**
-     * \brief Add route to network.
-     * \param network network address
-     * \param networkPrefix network prefix
-     * \param nextHop next hop address to route the packet.
-     * \param interface interface index
-     * \param prefixToUse prefix that should be used for source address for this destination
+     * @brief Add route to network.
+     * @param network network address
+     * @param networkPrefix network prefix
+     * @param nextHop next hop address to route the packet.
+     * @param interface interface index
+     * @param prefixToUse prefix that should be used for source address for this destination
      */
     void AddNetworkRouteTo(Ipv6Address network,
                            Ipv6Prefix networkPrefix,
@@ -354,43 +354,43 @@
                            Ipv6Address prefixToUse);
 
     /**
-     * \brief Add route to network.
-     * \param network network address
-     * \param networkPrefix network prefix
-     * \param interface interface index
+     * @brief Add route to network.
+     * @param network network address
+     * @param networkPrefix network prefix
+     * @param interface interface index
      */
     void AddNetworkRouteTo(Ipv6Address network, Ipv6Prefix networkPrefix, uint32_t interface);
 
     /**
-     * \brief Send Routing Updates on all interfaces.
-     * \param periodic true for periodic update, else triggered.
+     * @brief Send Routing Updates on all interfaces.
+     * @param periodic true for periodic update, else triggered.
      */
     void DoSendRouteUpdate(bool periodic);
 
     /**
-     * \brief Send Routing Request on all interfaces.
+     * @brief Send Routing Request on all interfaces.
      */
     void SendRouteRequest();
 
     /**
-     * \brief Send Triggered Routing Updates on all interfaces.
+     * @brief Send Triggered Routing Updates on all interfaces.
      */
     void SendTriggeredRouteUpdate();
 
     /**
-     * \brief Send Unsolicited Routing Updates on all interfaces.
+     * @brief Send Unsolicited Routing Updates on all interfaces.
      */
     void SendUnsolicitedRouteUpdate();
 
     /**
-     * \brief Invalidate a route.
-     * \param route the route to be removed
+     * @brief Invalidate a route.
+     * @param route the route to be removed
      */
     void InvalidateRoute(RipNgRoutingTableEntry* route);
 
     /**
-     * \brief Delete a route.
-     * \param route the route to be removed
+     * @brief Delete a route.
+     * @param route the route to be removed
      */
     void DeleteRoute(RipNgRoutingTableEntry* route);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ripng-header.h ns-3.44/src/internet/model/ripng-header.h
--- ns-3.43/src/internet/model/ripng-header.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ripng-header.h	2025-03-09 16:55:49.403371000 -0700
@@ -21,9 +21,9 @@
 {
 
 /**
- * \ingroup ripng
+ * @ingroup ripng
  *
- * \brief RipNg Routing Table Entry (RTE) - see \RFC{2080}
+ * @brief RipNg Routing Table Entry (RTE) - see \RFC{2080}
  */
 class RipNgRte : public Header
 {
@@ -31,83 +31,83 @@
     RipNgRte();
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Return the instance type identifier.
-     * \return instance type ID
+     * @brief Return the instance type identifier.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
     /**
-     * \brief Set the prefix
-     * \param prefix the prefix
+     * @brief Set the prefix
+     * @param prefix the prefix
      */
     void SetPrefix(Ipv6Address prefix);
 
     /**
-     * \brief Get the prefix
-     * \returns the prefix
+     * @brief Get the prefix
+     * @returns the prefix
      */
     Ipv6Address GetPrefix() const;
 
     /**
-     * \brief Set the prefix length
-     * \param prefixLen the prefix length
+     * @brief Set the prefix length
+     * @param prefixLen the prefix length
      */
     void SetPrefixLen(uint8_t prefixLen);
 
     /**
-     * \brief Get the prefix length
-     * \returns the prefix length
+     * @brief Get the prefix length
+     * @returns the prefix length
      */
     uint8_t GetPrefixLen() const;
 
     /**
-     * \brief Set the route tag
-     * \param routeTag the route tag
+     * @brief Set the route tag
+     * @param routeTag the route tag
      */
     void SetRouteTag(uint16_t routeTag);
 
     /**
-     * \brief Get the route tag
-     * \returns the route tag
+     * @brief Get the route tag
+     * @returns the route tag
      */
     uint16_t GetRouteTag() const;
 
     /**
-     * \brief Set the route metric
-     * \param routeMetric the route metric
+     * @brief Set the route metric
+     * @param routeMetric the route metric
      */
     void SetRouteMetric(uint8_t routeMetric);
 
     /**
-     * \brief Get the route metric
-     * \returns the route metric
+     * @brief Get the route metric
+     * @returns the route metric
      */
     uint8_t GetRouteMetric() const;
 
@@ -119,18 +119,18 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param h the Routing Table Entry
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param h the Routing Table Entry
+ * @returns the reference to the output stream
  */
 std::ostream& operator<<(std::ostream& os, const RipNgRte& h);
 
 /**
- * \ingroup ripng
+ * @ingroup ripng
  *
- * \brief RipNgHeader - see \RFC{2080}
+ * @brief RipNgHeader - see \RFC{2080}
  */
 class RipNgHeader : public Header
 {
@@ -138,35 +138,35 @@
     RipNgHeader();
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Return the instance type identifier.
-     * \return instance type ID
+     * @brief Return the instance type identifier.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
@@ -180,37 +180,37 @@
     };
 
     /**
-     * \brief Set the command
-     * \param command the command
+     * @brief Set the command
+     * @param command the command
      */
     void SetCommand(Command_e command);
 
     /**
-     * \brief Get the command
-     * \returns the command
+     * @brief Get the command
+     * @returns the command
      */
     Command_e GetCommand() const;
 
     /**
-     * \brief Add a RTE to the message
-     * \param rte the RTE
+     * @brief Add a RTE to the message
+     * @param rte the RTE
      */
     void AddRte(RipNgRte rte);
 
     /**
-     * \brief Clear all the RTEs from the header
+     * @brief Clear all the RTEs from the header
      */
     void ClearRtes();
 
     /**
-     * \brief Get the number of RTE included in the message
-     * \returns the number of RTE in the message
+     * @brief Get the number of RTE included in the message
+     * @returns the number of RTE in the message
      */
     uint16_t GetRteNumber() const;
 
     /**
-     * \brief Get the list of the RTEs included in the message
-     * \returns the list of the RTEs in the message
+     * @brief Get the list of the RTEs included in the message
+     * @returns the list of the RTEs in the message
      */
     std::list<RipNgRte> GetRteList() const;
 
@@ -220,11 +220,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param h the RIPng header
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param h the RIPng header
+ * @returns the reference to the output stream
  */
 std::ostream& operator<<(std::ostream& os, const RipNgHeader& h);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/rtt-estimator.cc ns-3.44/src/internet/model/rtt-estimator.cc
--- ns-3.43/src/internet/model/rtt-estimator.cc	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/rtt-estimator.cc	2025-03-09 16:55:49.403371000 -0700
@@ -39,7 +39,7 @@
                             .SetGroupName("Internet")
                             .AddAttribute("InitialEstimation",
                                           "Initial RTT estimate",
-                                          TimeValue(Seconds(1.0)),
+                                          TimeValue(Seconds(1)),
                                           MakeTimeAccessor(&RttEstimator::m_initialEstimatedRtt),
                                           MakeTimeChecker());
     return tid;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/rtt-estimator.h ns-3.44/src/internet/model/rtt-estimator.h
--- ns-3.43/src/internet/model/rtt-estimator.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/rtt-estimator.h	2025-03-09 16:55:49.403371000 -0700
@@ -19,9 +19,9 @@
 {
 
 /**
- * \ingroup tcp
+ * @ingroup tcp
  *
- * \brief Base class for all RTT Estimators
+ * @brief Base class for all RTT Estimators
  *
  * The RTT Estimator class computes an estimate of the round trip time
  * observed in a series of Time measurements.  The estimate is provided in
@@ -32,15 +32,15 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     RttEstimator();
     /**
-     * \brief Copy constructor
-     * \param r the object to copy
+     * @brief Copy constructor
+     * @param r the object to copy
      */
     RttEstimator(const RttEstimator& r);
 
@@ -49,25 +49,25 @@
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \brief Add a new measurement to the estimator. Pure virtual function.
-     * \param t the new RTT measure.
+     * @brief Add a new measurement to the estimator. Pure virtual function.
+     * @param t the new RTT measure.
      */
     virtual void Measurement(Time t) = 0;
 
     /**
-     * \brief Copy object (including current internal state)
-     * \returns a copy of itself
+     * @brief Copy object (including current internal state)
+     * @returns a copy of itself
      */
     virtual Ptr<RttEstimator> Copy() const = 0;
 
     /**
-     * \brief Resets the estimation to its initial state.
+     * @brief Resets the estimation to its initial state.
      */
     virtual void Reset();
 
     /**
-     * \brief gets the RTT estimate.
-     * \return The RTT estimate.
+     * @brief gets the RTT estimate.
+     * @return The RTT estimate.
      */
     Time GetEstimate() const;
 
@@ -76,14 +76,14 @@
      * the same units as the estimate.  Mean deviation or standard deviation
      * are example quantities that could be provided here.
      *
-     * \brief gets the RTT estimate variation.
-     * \return The RTT estimate variation.
+     * @brief gets the RTT estimate variation.
+     * @return The RTT estimate variation.
      */
     Time GetVariation() const;
 
     /**
-     * \brief gets the number of samples used in the estimates
-     * \return the number of samples used in the estimates
+     * @brief gets the number of samples used in the estimates
+     * @return the number of samples used in the estimates
      */
     uint32_t GetNSamples() const;
 
@@ -97,9 +97,9 @@
 };
 
 /**
- * \ingroup tcp
+ * @ingroup tcp
  *
- * \brief The "Mean--Deviation" RTT estimator, as discussed by Van Jacobson
+ * @brief The "Mean--Deviation" RTT estimator, as discussed by Van Jacobson
  *
  * This class implements the "Mean--Deviation" RTT estimator, as discussed
  * by Van Jacobson and Michael J. Karels, in
@@ -113,31 +113,31 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     RttMeanDeviation();
 
     /**
-     * \brief Copy constructor
-     * \param r the object to copy
+     * @brief Copy constructor
+     * @param r the object to copy
      */
     RttMeanDeviation(const RttMeanDeviation& r);
 
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \brief Add a new measurement to the estimator.
-     * \param measure the new RTT measure.
+     * @brief Add a new measurement to the estimator.
+     * @param measure the new RTT measure.
      */
     void Measurement(Time measure) override;
 
     Ptr<RttEstimator> Copy() const override;
 
     /**
-     * \brief Resets the estimator.
+     * @brief Resets the estimator.
      */
     void Reset() override;
 
@@ -149,8 +149,8 @@
      * Values of 1/32, 1/16, 1/8, 1/4, and 1/2 (i.e., within the possible
      * range of experimentation for this estimator) are supported.
      *
-     * \param val value to check
-     * \return log base 2 (1/val) if reciprocal power of 2, or zero if not
+     * @param val value to check
+     * @return log base 2 (1/val) if reciprocal power of 2, or zero if not
      */
     uint32_t CheckForReciprocalPowerOfTwo(double val) const;
     /**
@@ -158,9 +158,9 @@
      * arithmetic, used when the values of Alpha and Beta support the
      * integer conversion.
      *
-     * \param m time measurement
-     * \param rttShift value corresponding to log base 2 (1/alpha)
-     * \param variationShift value corresponding to log base 2 (1/beta)
+     * @param m time measurement
+     * @param rttShift value corresponding to log base 2 (1/alpha)
+     * @param variationShift value corresponding to log base 2 (1/beta)
      */
     void IntegerUpdate(Time m, uint32_t rttShift, uint32_t variationShift);
     /**
@@ -168,7 +168,7 @@
      * point arithmetic, used when the values of Alpha and Beta are not
      * both a reciprocal power of two.
      *
-     * \param m time measurement
+     * @param m time measurement
      */
     void FloatingPointUpdate(Time m);
     double m_alpha; //!< Filter gain for average
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-bbr.cc ns-3.44/src/internet/model/tcp-bbr.cc
--- ns-3.43/src/internet/model/tcp-bbr.cc	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/tcp-bbr.cc	2025-03-09 16:55:49.403371000 -0700
@@ -359,7 +359,7 @@
 {
     NS_LOG_FUNCTION(this << tcb);
     m_minRttExpired = Simulator::Now() > (m_minRttStamp + m_minRttFilterLen);
-    if (tcb->m_lastRtt >= Seconds(0) && (tcb->m_lastRtt <= m_minRtt || m_minRttExpired))
+    if (tcb->m_lastRtt.Get().IsPositive() && (tcb->m_lastRtt <= m_minRtt || m_minRttExpired))
     {
         m_minRtt = tcb->m_lastRtt;
         m_minRttStamp = Simulator::Now();
@@ -418,13 +418,13 @@
     uint32_t totalBytes = m_delivered + tcb->m_bytesInFlight.Get();
     m_appLimited = (totalBytes > 0 ? totalBytes : 1);
 
-    if (m_probeRttDoneStamp == Seconds(0) && tcb->m_bytesInFlight <= m_minPipeCwnd)
+    if (m_probeRttDoneStamp.IsZero() && tcb->m_bytesInFlight <= m_minPipeCwnd)
     {
         m_probeRttDoneStamp = Simulator::Now() + m_probeRttDuration;
         m_probeRttRoundDone = false;
         m_nextRoundDelivered = m_delivered;
     }
-    else if (m_probeRttDoneStamp != Seconds(0))
+    else if (!m_probeRttDoneStamp.IsZero())
     {
         if (m_roundStart)
         {
